
Partial Class webteamtesting_ThemeIssues
	Inherits System.Web.UI.Page

	Public ReadOnly Property Data() As DataSet
		Get
			Dim _data As DataSet

			If (ViewState.Item("userRolesData") Is Nothing) Then
				ViewState.Item("userRolesData") = RetrieveData()
			End If

			_data = CType(ViewState.Item("userRolesData"), DataSet)
			Return _data
		End Get
	End Property

	Private Function RetrieveData() As DataSet
		Dim data As New System.Data.DataSet("UserRoles")

		' User DataTable
		Dim usersData As New DataTable("Users")
		With usersData
			.Columns.Add("UserID", GetType(Integer))
			.Columns.Add("Name", GetType(String))

			.Rows.Add(New Object() {1, "Charlie Brown"})
			.Rows.Add(New Object() {2, "Underdog"})
			.Rows.Add(New Object() {3, "The Bear"})
		End With

		data.Tables.Add(usersData)

		Return data

	End Function

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Not IsPostBack Then
			BindData()
		End If
	End Sub

	Private Sub BindData()
		' Set the WebGrid's view type to Hierarchical
		Me.UltraWebGrid1.DataSource = Me.Data.Tables("Users")
		Me.UltraWebGrid1.DataBind()
	End Sub
End Class
